Debian Bug report logs - #582953
kmail deleted all non-local incoming mail settings on upgrade

version graph

Package: kmail; Maintainer for kmail is Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>; Source for kmail is src:kdepim.

Reported by: Juha Jäykkä <juhaj@iki.fi>

Date: Mon, 24 May 2010 20:45:02 UTC

Severity: grave

Tags: help, sid, squeeze, squeeze-ignore, unreproducible, wheezy, wheezy-ignore

Found in version kdepim/4:4.4.3-1

Done: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#582953; Package kmail. (Mon, 24 May 2010 20:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Juha Jäykkä <juhaj@iki.fi>:
New Bug report received and forwarded. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Mon, 24 May 2010 20:45:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Juha Jäykkä <juhaj@iki.fi>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: kmail deleted all non-local incoming mail settings on upgrade
Date: Mon, 24 May 2010 21:33:15 +0100
Package: kmail
Version: 4:4.4.3-1
Severity: critical
Tags: squeeze sid
Justification: causes serious data loss


Kmail is running with dimap, imap, imap and pop3 accounts. All is well. I run
aptitude safe-upgrade. Upon next login and start of kmail, all the said accounts
are gone from the settings.

During this startup of kmail (and the corresponding startup
of akonadi), there were numerous messages about unreadable mail folders. These happened
to be folders of the dimap account, but I suspect that is simply coincidence: kmail 
listed the folders first and someone destroyed them before kmail actually accessed them.
This makes me wonder if akonadi is the real culprit here, after all, but I have no way
of finding out. The safe-upgrade did not update kmail, but it did update akonadi-server.

Critical: data loss: if pop3 account emails are on local disc instead of the server,
those messages are lost.

-Juha


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.34 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=UTF-8) (ignored: LC_ALL set to en_GB.UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages kmail depends on:
ii  kdebase-runtime     4:4.4.3-1            runtime components from the offici
ii  kdepim-runtime      4:4.4.3-1            Runtime components for akonadi-kde
ii  kdepimlibs-kio-plug 4:4.4.3-1            kio slaves used by KDE PIM applica
ii  libakonadi-contact4 4:4.4.3-1            library for using the Akonadi PIM 
ii  libakonadi-kde4     4:4.4.3-1            library for using the Akonadi PIM 
ii  libc6               2.10.2-9             Embedded GNU C Library: Shared lib
ii  libgcc1             1:4.4.4-2            GCC support library
ii  libgpgme++2         4:4.4.3-1            c++ wrapper library for gpgme
ii  libkabc4            4:4.4.3-1            library for handling address book 
ii  libkcal4            4:4.4.3-1            library for handling calendar data
ii  libkde3support4     4:4.4.3-2            the KDE 3 Support Library for the 
ii  libkdecore5         4:4.4.3-2            the KDE Platform Core Library
ii  libkdepim4          4:4.4.3-1            KDE PIM library
ii  libkdeui5           4:4.4.3-2            the KDE Platform User Interface Li
ii  libkhtml5           4:4.4.3-2            the KHTML Web Content Rendering En
ii  libkimap4           4:4.4.3-1            library for handling IMAP data
ii  libkio5             4:4.4.3-2            the Network-enabled File Managemen
ii  libkldap4           4:4.4.3-1            library for accessing LDAP
ii  libkleo4            4:4.4.3-1            certificate based crypto library f
ii  libkmime4           4:4.4.3-1            library for handling MIME data
ii  libknotifyconfig4   4:4.4.3-2            library for configuring KDE Notifi
ii  libkontactinterface 4:4.4.3-1            Kontact interface library
ii  libkparts4          4:4.4.3-2            the Framework for the KDE Platform
ii  libkpgp4            4:4.4.3-1            gpg based crypto library for KDE
ii  libkpimidentities4  4:4.4.3-1            library for managing user identiti
ii  libkpimtextedit4    4:4.4.3-1            library that provides a textedit w
ii  libkpimutils4       4:4.4.3-1            library for dealing with email add
ii  libkresources4      4:4.4.3-1            the KDE Resource framework library
ii  libksieve4          4:4.4.3-1            KDE mail/news message filtering li
ii  libktnef4           4:4.4.3-1            library for handling TNEF data
ii  libkutils4          4:4.4.3-2            various utility classes for the KD
ii  libmailtransport4   4:4.4.3-1            mail transport service library
ii  libmessagecore4     4:4.4.3-1            message core library for KDE
ii  libmessagelist4     4:4.4.3-1            message list library for KDE
ii  libmimelib4         4:4.4.3-1            KDE MIME library
ii  libnepomuk4         4:4.4.3-2            the Nepomuk Meta Data Library
ii  libphonon4          4:4.6.0really4.4.1-2 the core library of the Phonon mul
ii  libqt4-dbus         4:4.6.2-5            Qt 4 D-Bus module
ii  libqt4-network      4:4.6.2-5            Qt 4 network module
ii  libqt4-qt3support   4:4.6.2-5            Qt 3 compatibility library for Qt 
ii  libqt4-xml          4:4.6.2-5            Qt 4 XML module
ii  libqtcore4          4:4.6.2-5            Qt 4 core module
ii  libqtgui4           4:4.6.2-5            Qt 4 GUI module
ii  libstdc++6          4.4.4-2              The GNU Standard C++ Library v3
ii  libthreadweaver4    4:4.4.3-2            the ThreadWeaver Library for the K
ii  perl                5.10.1-12            Larry Wall's Practical Extraction 
ii  phonon              4:4.6.0really4.4.1-2 metapackage for the Phonon multime

kmail recommends no packages.

Versions of packages kmail suggests:
pn  clamav | f-prot-installer     <none>     (no description available)
ii  gnupg                         1.4.10-3   GNU privacy guard - a free PGP rep
ii  gnupg-agent                   2.0.14-1.1 GNU privacy guard - password agent
ii  gnupg2                        2.0.14-1.1 GNU privacy guard - a free PGP rep
ii  kaddressbook                  4:4.4.3-1  KDE address book
ii  kleopatra                     4:4.4.3-1  KDE Certificate Manager
ii  pinentry-qt4 [pinentry-x11]   0.8.0-1    Qt-4-based PIN or pass-phrase entr
ii  procmail                      3.22-19    Versatile e-mail processor
ii  spambayes                     1.0.4-5.1  Python-based spam filter using sta

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#582953; Package kmail. (Fri, 04 Jun 2010 08:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <modestas@vainius.eu>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Fri, 04 Jun 2010 08:21:06 GMT) Full text and rfc822 format available.

Message #10 received at 582953@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modestas@vainius.eu>
To: Juha Jäykkä <juhaj@iki.fi>, 582953@bugs.debian.org
Subject: Re: Bug#582953: kmail deleted all non-local incoming mail settings on upgrade
Date: Fri, 4 Jun 2010 11:16:10 +0300
[Message part 1 (text/plain, inline)]
tags 582953 unreproducible
thanks

Hello,

On pirmadienis 24 Gegužė 2010 23:33:15 Juha Jäykkä wrote:
> Kmail is running with dimap, imap, imap and pop3 accounts. All is well. I
> run aptitude safe-upgrade. Upon next login and start of kmail, all the
> said accounts are gone from the settings.
> 
> During this startup of kmail (and the corresponding startup
> of akonadi), there were numerous messages about unreadable mail folders.
> These happened to be folders of the dimap account, but I suspect that is
> simply coincidence: kmail listed the folders first and someone destroyed
> them before kmail actually accessed them. This makes me wonder if akonadi
> is the real culprit here, after all, but I have no way of finding out. The
> safe-upgrade did not update kmail, but it did update akonadi-server.

There is no way akonadi could have destroyed your local mail. If the problem 
was with address book, then it would be another story.

> Critical: data loss: if pop3 account emails are on local disc instead of
> the server, those messages are lost.

I suspect you had file system problems and kmail configs got eaten in the 
process ( ~/.kde/share/config/kmail* ). There might even be some leftovers 
with odd names ~/.kde/share/config/kmailrc*.new etc. Try recovering from them.

The mail should still be there in ~/Mail or somewhere in 
~/.kde/share/apps/kmail/

Unless you give more proof that it's really a problem with kmail, the next 
step will be severity downgrade of this bug. testing->testing and sid->sid 
upgrades are not 100% supported anyway though I'm pretty sure upgrade had 
nothing to do with it. However, if you upgrade with kmail/KDE running, 
sometimes odd things happen.

-- 
Modestas Vainius <modestas@vainius.eu>
[signature.asc (application/pgp-signature, inline)]

Added tag(s) unreproducible. Request was from Modestas Vainius <modestas@vainius.eu> to control@bugs.debian.org. (Fri, 04 Jun 2010 08:21:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#582953; Package kmail. (Fri, 04 Jun 2010 08:57:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to juhaj@iki.fi:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Fri, 04 Jun 2010 08:57:12 GMT) Full text and rfc822 format available.

Message #17 received at 582953@bugs.debian.org (full text, mbox):

From: Juha Jäykkä <juhaj@iki.fi>
To: Modestas Vainius <modestas@vainius.eu>
Cc: 582953@bugs.debian.org
Subject: Re: Bug#582953: kmail deleted all non-local incoming mail settings on upgrade
Date: Fri, 4 Jun 2010 09:46:52 +0100
[Message part 1 (text/plain, inline)]
> I suspect you had file system problems and kmail configs got eaten in the
> process ( ~/.kde/share/config/kmail* ). There might even be some leftovers
> with odd names ~/.kde/share/config/kmailrc*.new etc. Try recovering from
> them.
> The mail should still be there in ~/Mail or somewhere in
> ~/.kde/share/apps/kmail/

File system was clean both before and after. As to the configs getting eaten, 
yes, they did vanish. Likewise, ~/.kde/share/apps/kmail/ was empty apart from 
some directories after the upgrade. No files were present. Thus no mail.

> Unless you give more proof that it's really a problem with kmail, the next

Quite impossible since the upgrade is done.

> nothing to do with it. However, if you upgrade with kmail/KDE running,
> sometimes odd things happen.

What do you mean "KDE" running? I did not have kmail, but I did have kded and 
several other KDE-related processes running, but I never run KDE because it 
forces me to logout for upgrades; by running just openbox the only userspace 
program upgrades I need to log off for are X and openbox.

If the deletion of data is due to "odd things" happening when upgrading while 
kde-related processes are running, this is a bug: very many people use 
graphical apt-front-ends to upgrade their machines and it simply must work. A 
logoff or reboot may be required, yes, but under no circumstances must user 
data be deleted without explicit permission. What was the upgrade doing inside 
$HOME anyway? Packages should not touch anything in $HOME.

That said, there was that odd set of error messages at first start of kmail 
after the upgrade, so perhaps the package did not touch $HOME, but kmail 
itself, for some reason, deleted all its mail settings and data at first 
restart. I suggest you go though the kmail code to see where it does unlink() 
on its mail during startup and under what conditions that happens. Clearly, 
the only condition when that should happen is when the user explicitly asks 
kmail to delete messages.

-Juha

-- 
		 -----------------------------------------------
		| Juha Jäykkä, juhaj@iki.fi			|
		| http://www.maths.leeds.ac.uk/~juhaj		|
		 -----------------------------------------------
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#582953; Package kmail. (Fri, 04 Jun 2010 09:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <modestas@vainius.eu>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Fri, 04 Jun 2010 09:24:03 GMT) Full text and rfc822 format available.

Message #22 received at 582953@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modestas@vainius.eu>
To: juhaj@iki.fi
Cc: 582953@bugs.debian.org
Subject: Re: Bug#582953: kmail deleted all non-local incoming mail settings on upgrade
Date: Fri, 4 Jun 2010 12:21:20 +0300
[Message part 1 (text/plain, inline)]
Hello,

On penktadienis 04 Birželis 2010 11:46:52 Juha Jäykkä wrote:
> What do you mean "KDE" running? I did not have kmail, but I did have kded
> and several other KDE-related processes running, but I never run KDE
> because it forces me to logout for upgrades; by running just openbox the
> only userspace program upgrades I need to log off for are X and openbox.
> 
> If the deletion of data is due to "odd things" happening when upgrading
> while kde-related processes are running, this is a bug: very many people
> use graphical apt-front-ends to upgrade their machines and it simply must
> work. A logoff or reboot may be required, yes, but under no circumstances
> must user data be deleted without explicit permission. What was the
> upgrade doing inside $HOME anyway? Packages should not touch anything in
> $HOME.

So as I said it is very unlikely to have been caused by upgrade.

> That said, there was that odd set of error messages at first start of kmail
> after the upgrade, so perhaps the package did not touch $HOME, but kmail
> itself, for some reason, deleted all its mail settings and data at first
> restart. I suggest you go though the kmail code to see where it does
> unlink() on its mail during startup and under what conditions that
> happens. Clearly, the only condition when that should happen is when the
> user explicitly asks kmail to delete messages.

Well, your report does not have much useful information: "odd set of error 
messages", "apart from some directories" etc. You aren't very specific. And my 
kmail stores mails in ~/Mail.

-- 
Modestas Vainius <modestas@vainius.eu>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#582953; Package kmail. (Mon, 05 Jul 2010 11:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <modestas@vainius.eu>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Mon, 05 Jul 2010 11:30:03 GMT) Full text and rfc822 format available.

Message #27 received at 582953@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modestas@vainius.eu>
To: juhaj@iki.fi
Cc: 582953@bugs.debian.org
Subject: Re: Bug#582953: kmail deleted all non-local incoming mail settings on upgrade
Date: Mon, 5 Jul 2010 14:26:42 +0300
[Message part 1 (text/plain, inline)]
Hello,

btw, is your $HOME on ext4 or XFS?

-- 
Modestas Vainius <modestas@vainius.eu>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#582953; Package kmail. (Mon, 05 Jul 2010 16:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to juhaj@iki.fi:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Mon, 05 Jul 2010 16:57:03 GMT) Full text and rfc822 format available.

Message #32 received at 582953@bugs.debian.org (full text, mbox):

From: Juha Jäykkä <juhaj@iki.fi>
To: Modestas Vainius <modestas@vainius.eu>
Cc: 582953@bugs.debian.org
Subject: Re: Bug#582953: kmail deleted all non-local incoming mail settings on upgrade
Date: Mon, 5 Jul 2010 17:53:45 +0100
[Message part 1 (text/plain, inline)]
On Monday 05 Jul 2010 12:26:42 Modestas Vainius wrote:
> Hello,
> 
> btw, is your $HOME on ext4 or XFS?

XFS

-- 
		 -----------------------------------------------
		| Juha Jäykkä, juhaj@iki.fi			|
		| http://www.maths.leeds.ac.uk/~juhaj		|
		 -----------------------------------------------
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#582953; Package kmail. (Tue, 24 Aug 2010 22:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Figueiredo <elmig@debianpt.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Tue, 24 Aug 2010 22:09:05 GMT) Full text and rfc822 format available.

Message #37 received at 582953@bugs.debian.org (full text, mbox):

From: Miguel Figueiredo <elmig@debianpt.org>
To: 582953@bugs.debian.org
Subject: kmail deletes mail from inbox
Date: Tue, 24 Aug 2010 22:58:34 +0100
Hi all,

I installed kde/kmail today (sid, 32bit) and configured my IMAP account 
on kmail. After that the email in the inbox disappeared although the 
folders inside the inbox were intact.
I checked on the server the files were missing.

I found this on KDE's BTS - https://bugs.kde.org/show_bug.cgi?id=230712 
- may be related.
For coincidence, i am also using an eeepc as the user who reported the 
bug on KDE's BTS.

After some investigation i found what seems to be the missing email on 
~/.kde/share/apps/kmail/mail/trash/

There are several cases of email loss reported, i suggest keeping the 
bug open until further analysis.



PS: sent from Icedove.
-- 

Melhores cumprimentos/Best regards,

Miguel Figueiredo
http://www.DebianPT.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#582953; Package kmail. (Tue, 05 Oct 2010 11:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matteo Cypriani <mcy@lm7.fr>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Tue, 05 Oct 2010 11:42:03 GMT) Full text and rfc822 format available.

Message #42 received at 582953@bugs.debian.org (full text, mbox):

From: Matteo Cypriani <mcy@lm7.fr>
To: <582953@bugs.debian.org>
Subject: Re: Bug#582953: kmail deleted all non-local incoming mail settings on upgrade
Date: Tue, 05 Oct 2010 13:39:06 +0200
[Message part 1 (text/plain, inline)]
Hi!

Context: as Juha, I do not run KDE, but Fluxbox with some KDE programs
(Kpowersave, Kontact, and occasionally some others). I do not think it
has anything to do, but my home is on ZFS (zfs-fuse).
I have one POP3 account and several dIMAP accounts. I run Kmail
exclusively into Kontact.

I experience this bug for several months (I would say, from the
beginning of the summer). It used to appear almost any time I launched
Kontact in a fresh session. After closing Kontact and restoring a backup
of my ~/.kde, I was able to relaunch Kontact without any trouble, and
then to close it and relaunch it as wish. So I suspected some
KDE-related program which Kontact needed, that was launched too late.

Then, from some weeks, the bug did not happen any time I was in a fresh
session, but randomly, from time to time.

But since yesterday, the bug appears any time I launch Kontact, even
from a "used" session, after restoring my backup.

After typing kontact, hard drive works hard during several minutes
(deleting gigs of e-mails :-p), then I get 54 error windows (one per
dIMAP folder) saying, in French, "Impossible d'écrire dans le fichier de
cache des identifiants UID pour le dossier « 844471715/Musique ». Il y a
probablement un problème de permissions dans le système de fichiers."
Free translation: "Cannot write into UID cache file for folder
'844471715/Musique'. There is probably a permission problem in the file
system."
Configuration is reset, I get the "Kontact - Tip of the day" window and
all my display preferences are forgotten. All mail identities and SMTP
accounts are kept, but all reception accounts (dIMAP *and* POP3) are
absent.
The mails of the POP3 account are not deleted and still appear in the
main window; but all dIMAP accounts disappear, and associated mails are
deleted from the file system (~/.kde/share/apps/kmail/dimap is empty).
What about other Kontact modules? Contacts, Calendar and Tasks are OK,
but Akregator feed list is corrupted.
See the attached typescript for the messages displayed in the console.

In my backup, .kde/share/config/{akregatorrc,kmailrc,kontactrc} were
empty files, but are now filled with config info (see attached files).
~/.kde/share/apps/akregator/data/feeds.opml did not change.

Last upgrade of a KDE-related package was last week, on Monday (27
September). KDE-pim modules was upgraded from 4:4.4.5-1 to 4:4.4.6-1. I
do not remember, but it is possible I did not relaunch Kontact from the
27 (I usually hibernate my computer), so this new behaviour could be
related to the upgrade.

Summary of attached files:
- Output of ps x before launching Kontact (fresh session).
- typescript of the Kontact session; I just closed the 54 error windows,
  clicked on Akregator icon to see if feed list was corrupted (last
  messages), and closed Kontact.
- Output of ps x after launching and closing Kontact.
- New config files akregatorrc, kmailrc and kontactrc.

Please let me know if you need additional information.

  Matteo
[ps_x-before_launching_kontact (text/plain, attachment)]
[typescript (text/plain, attachment)]
[ps_x-after_closing_kontact (text/plain, attachment)]
[akregatorrc (text/plain, attachment)]
[kmailrc (text/plain, attachment)]
[kontactrc (text/plain, attachment)]

Severity set to 'grave' from 'critical' Request was from Modestas Vainius <modax@debian.org> to control@bugs.debian.org. (Sat, 04 Dec 2010 14:24:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Modestas Vainius <modax@debian.org> to control@bugs.debian.org. (Sat, 04 Dec 2010 14:24:05 GMT) Full text and rfc822 format available.

Removed tag(s) pending. Request was from Modestas Vainius <modax@debian.org> to control@bugs.debian.org. (Sat, 04 Dec 2010 14:30:07 GMT) Full text and rfc822 format available.

Added tag(s) help. Request was from Modestas Vainius <modax@debian.org> to control@bugs.debian.org. (Sat, 04 Dec 2010 14:30:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#582953; Package kmail. (Thu, 23 Dec 2010 22:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Thu, 23 Dec 2010 22:27:06 GMT) Full text and rfc822 format available.

Message #55 received at 582953@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Juha Jäykkä <juhaj@iki.fi>, 582953@bugs.debian.org
Subject: Re: Bug#582953: kmail deleted all non-local incoming mail settings on upgrade
Date: Thu, 23 Dec 2010 23:25:45 +0100
[Message part 1 (text/plain, inline)]
user release.debian.org@packages.debian.org
usertag 582953 squeeze-can-defer
tag 582953 squeeze-ignore
kthxbye

On Mon, May 24, 2010 at 21:33:15 +0100, Juha Jäykkä wrote:

> Package: kmail
> Version: 4:4.4.3-1
> Severity: critical
> Tags: squeeze sid
> Justification: causes serious data loss
> 
> 
> Kmail is running with dimap, imap, imap and pop3 accounts. All is well. I run
> aptitude safe-upgrade. Upon next login and start of kmail, all the said accounts
> are gone from the settings.
> 
MoDaX says this kind of issues is as old as etch, so there doesn't seem
to be much hope of having that magically fixed for squeeze, and we won't
delay the release for it.  Tagging accordingly.  If a fix does happen,
it can still be considered, either before release or for a point update.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Added tag(s) squeeze-ignore. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 23 Dec 2010 22:27:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#582953; Package kmail. (Sun, 13 Feb 2011 20:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matteo Cypriani <mcy@lm7.fr>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Sun, 13 Feb 2011 20:03:03 GMT) Full text and rfc822 format available.

Message #62 received at 582953@bugs.debian.org (full text, mbox):

From: Matteo Cypriani <mcy@lm7.fr>
To: <582953@bugs.debian.org>
Subject: Re: Bug#582953: kmail deleted all non-local incoming mail settings on upgrade
Date: Sun, 13 Feb 2011 20:59:26 +0100
Hi,

The same thing just happened again, with Kontact 4:4.4.7-3 (sid): error
messages, mails deleted, Akregator feed list corrupted, preferences
forgotten, etc.

It would be really nice if someone was interested in solving this bug.
Please tell me if there is anything I can do to help.

Cheers,
  Matteo




Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:04:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#582953; Package kmail. (Thu, 15 Sep 2011 07:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to David <wizzardx@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Thu, 15 Sep 2011 07:57:10 GMT) Full text and rfc822 format available.

Message #69 received at 582953@bugs.debian.org (full text, mbox):

From: David <wizzardx@gmail.com>
To: 582953@bugs.debian.org
Subject: Kmail deleted all my local mail
Date: Thu, 15 Sep 2011 09:53:13 +0200
Hi there, I just had a very unpleasant experience with kmail.

I searched the Debian BTS, and this seems to be the closest report, so
my report over here.

I opened kmail this morning, and all my mails were gone. Checked the
~/.kde/share/apps/kmail folder, and basically empty, rather than the
700 MB of mail files I normally have there.

Fortunately I had made a backup from a few days ago, so I restored that.

Started kmail up again, and it deleted all those mails again during
startup. WTH?

Well, there are some unsual things on my side that are contributing
towards this.

1. My ~/.kde/share/apps/kmail folder is really a symlink to a
secondary encrypted location (an encfs directory).

2. I sometimes forget to mount that encfs share before starting kmail.
Normally in this case, kmail annoyingly removes my symlinks, and makes
new folders, so I have to go and tidy up after it to get to my mail
again. Really annoying.

3. My kmail settings files over here, aren't symlinks into an
encrypted location:

 ~/.kde/share/config/kmail*

So basically in this case, I started kmail up (before mounting my
crypt area), and it did it's normal annoying thing with my
~/.kde/share/apps/kmail symlink.

So I did my normal routine of mounting my crypt area, moving the new
'kmail' directory out of the way, restoring my symlink, and then
starting kmail.

After which, kmail promptly proceeded to delete all my mails under
~/.kde/share/apps/kmail (in my crypt area).

And it did the same again, when I restored ~/.kde/share/apps/kmail
from my encrypted offsite backup drive

What I _think_ is happening here is this:

1. kmail starts up, and sees that  ~/.kde/share/apps/kmail looks
weird, so it removes it and makes a new folder

(WTH number 1, but I'm used to that by now).

2. It then proceeds to make a new set of profile settings under
~/.kde/share/config/kmail*, replacing my old settings

(WTH number 2 - now I'd need to manually re-create those settings, or
restore from backups)

3. Later, when I replace the new  ~/.kde/share/apps/kmail with a
symlink to my encfs directory, and then start up kmail again, it sees
that my new ~/.kde/share/apps/kmail directory contents are now
inconsistent with the "~/.kde/share/config/kmail*" settings files, and
then kindly proceeds to tidy things up, to match the config files -
deleting my 700 MB of mails, not just once (initially), but a second
time too, when I tried to restore from backups and test it again.

This is the biggest WTH. Kmail should never delete all the local mail
files like that automatically, in an attempt to tidy things up to
match the settings, without even warning the user.

Granted, I have a really unusual setup, but it's conceivable that
kmail's "fix up the user's mail directory at any costs" (parts 1-3)
logic are going to cause some major problems for other people at some
point.

Also, it would be nice if kmail didn't always delete my kmail folder
symlink at startup, if they (at that time) point to non-existent
directories. Please instead give a warning dialogue, and ask the user
what to do at that point.

Kind regards,

David.

PS: Also for your reference, my reportbug headers can be found below:

-------
Subject: kmail: Kmail deleted all my local mail
Package: kmail
Version: 4:4.4.11.1+l10n-1
Severity: important

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 3.0.0-1-686-pae (SMP w/2 CPU cores)
Locale: LANG=en_ZA.UTF-8, LC_CTYPE=en_ZA.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages kmail depends on:
ii  kdebase-runtime         4:4.6.5-1
ii  kdepim-runtime          4:4.4.11.1-2
ii  kdepimlibs-kio-plugins  4:4.6.5-1
ii  libakonadi-contact4     4:4.6.5-1
ii  libakonadi-kde4         4:4.6.5-1
ii  libc6                   2.13-20
ii  libgcc1                 1:4.6.1-10
ii  libgpgme++2             4:4.6.5-1
ii  libkabc4                4:4.6.5-1
ii  libkcal4                4:4.6.5-1
ii  libkcmutils4            4:4.6.5-2
ii  libkde3support4         4:4.6.5-2
ii  libkdecore5             4:4.6.5-2
ii  libkdepim4              4:4.4.11.1+l10n-1
ii  libkdeui5               4:4.6.5-2
ii  libkhtml5               4:4.6.5-2
ii  libkimap4               4:4.6.5-1
ii  libkio5                 4:4.6.5-2
ii  libkldap4               4:4.6.5-1
ii  libkleo4                4:4.4.11.1+l10n-1
ii  libkmime4               4:4.6.5-1
ii  libknotifyconfig4       4:4.6.5-2
ii  libkontactinterface4    4:4.6.5-1
ii  libkparts4              4:4.6.5-2
ii  libkpgp4                4:4.4.11.1+l10n-1
ii  libkpimidentities4      4:4.6.5-1
ii  libkpimtextedit4        4:4.6.5-1
ii  libkpimutils4           4:4.6.5-1
ii  libkresources4          4:4.6.5-1
ii  libksieve4              4:4.4.11.1+l10n-1
ii  libktnef4               4:4.6.5-1
ii  libmailtransport4       4:4.6.5-1
ii  libmessagecore4         4:4.4.11.1+l10n-1
ii  libmessagelist4         4:4.4.11.1+l10n-1
ii  libmimelib4             4:4.4.11.1+l10n-1
ii  libnepomuk4             4:4.6.5-2
ii  libphonon4              4:4.6.0really4.5.0-5
ii  libqt4-dbus             4:4.7.3-8
ii  libqt4-network          4:4.7.3-8
ii  libqt4-qt3support       4:4.7.3-8
ii  libqt4-xml              4:4.7.3-8
ii  libqtcore4              4:4.7.3-8
ii  libqtgui4               4:4.7.3-8
ii  libstdc++6              4.6.1-10
ii  libthreadweaver4        4:4.6.5-2
ii  perl                    5.12.4-4
ii  phonon                  4:4.6.0really4.5.0-5

Versions of packages kmail recommends:
ii  gnupg-agent                   2.0.18-1
ii  gnupg2                        2.0.18-1
ii  pinentry-gtk2 [pinentry-x11]  0.8.1-1

Versions of packages kmail suggests:
pn  clamav | f-prot-installer                                 <none>
pn  kaddressbook                                              4:4.4.11.1+l10n-1
pn  kleopatra                                                 4:4.4.11.1+l10n-1
pn  procmail                                                  <none>
pn  spamassassin | bogofilter | annoyance-filter | spambayes  <none>

-- no debconf information
-------




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#582953; Package kmail. (Thu, 15 Sep 2011 08:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matteo Cypriani <mcy@lm7.fr>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Thu, 15 Sep 2011 08:21:03 GMT) Full text and rfc822 format available.

Message #74 received at 582953@bugs.debian.org (full text, mbox):

From: Matteo Cypriani <mcy@lm7.fr>
To: 582953@bugs.debian.org
Subject: Re: Bug#582953: Kmail deleted all my local mail
Date: Thu, 15 Sep 2011 10:18:14 +0200
[Message part 1 (text/plain, inline)]
Hi,
That reminds me I forgot to update this bug report.
I did not experience the problem for some time now, and I think it is related 
with the filesystem I use for my /home: I moved from ZFS-Fuse to ext4. That 
said, it may be related to ZFS-Fuse, but other users experienced a similar 
problem on other FS (Juha on XFS). Anyway, Kmail/Kontact should better handle 
its files (missing sync somewhere creating corrupted files in certain 
circumstances?), and do not blindly delete all the stuff like that.
Cheers,
  Matteo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#582953; Package kmail. (Sun, 16 Dec 2012 20:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Sun, 16 Dec 2012 20:09:03 GMT) Full text and rfc822 format available.

Message #79 received at 582953@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 582953@bugs.debian.org, 582953-submitter@bugs.debian.org
Subject: Re: kmail deleted all non-local incoming mail settings on upgrade
Date: Sun, 16 Dec 2012 12:05:19 -0800
[Message part 1 (text/plain, inline)]
tags 582953 wheezy-ignore
thanks

As noted in message #55, this issue has been present since at least etch. 
It has seen no activity since September 2011, and it's never been reproduced
except by someone reporting similar behavior on an unsupported filesystem
(ZFS).  I don't see any way that we would drop kmail from the wheezy release
for this bug, or delay the wheezy release for it, and it's clear that no
action is going to be taken on the bug if people can't reproduce it. 
Therefore, I'm marking this bug wheezy-ignore.

Juha, I think this bug is never going to be fixed unless someone can give us
a clear path to reproducing it.  I think you're the person in a best
position to do this.  I don't want to close this bug or downgrade it since
the symptoms describe do still qualify as "grave", but without some more
input from those affected, I just don't think it's realistic that it will
get fixed.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Added tag(s) wheezy-ignore. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Sun, 16 Dec 2012 20:09:07 GMT) Full text and rfc822 format available.

Message sent on to Juha Jäykkä <juhaj@iki.fi>:
Bug#582953. (Sun, 16 Dec 2012 20:09:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#582953; Package kmail. (Mon, 17 Dec 2012 16:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to juhaj@iki.fi:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Mon, 17 Dec 2012 16:03:06 GMT) Full text and rfc822 format available.

Message #89 received at 582953@bugs.debian.org (full text, mbox):

From: Juha Jäykkä <juhaj@iki.fi>
To: Steve Langasek <vorlon@debian.org>, 582953-quiet@bugs.debian.org
Cc: 582953@bugs.debian.org, 582953-submitter@bugs.debian.org
Subject: Re: Bug#582953: kmail deleted all non-local incoming mail settings on upgrade
Date: Mon, 17 Dec 2012 16:52:32 +0100
[Message part 1 (text/plain, inline)]
> Juha, I think this bug is never going to be fixed unless someone can give
> us a clear path to reproducing it.  I think you're the person in a best

This happened at an upgrade, which does not happen all that often, especially 
now that wheezy is frozen, so it is rather hard to try to reproduce it as I do 
not have a spare machine to run test installs on. Sorry.

OTOH, the version this happened with is already several KDE versions ago, so 
perhaps this can just be closed as soon as kdepim gets upgraded from the 4.4-
family to 4.8 or whatever it eventually gets upgraded to.

-Juha

-- 
		 -----------------------------------------------
		| Juha Jäykkä, juhaj@iki.fi			|
		| http://koti.kapsi.fi/~juhaj/			|
		 -----------------------------------------------
[signature.asc (application/pgp-signature, inline)]

Information stored :
Bug#582953; Package kmail. (Mon, 17 Dec 2012 16:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to juhaj@iki.fi:
Extra info received and filed, but not forwarded. (Mon, 17 Dec 2012 16:03:08 GMT) Full text and rfc822 format available.

Message sent on to Juha Jäykkä <juhaj@iki.fi>:
Bug#582953. (Mon, 17 Dec 2012 16:03:09 GMT) Full text and rfc822 format available.

Reply sent to Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>:
You have taken responsibility. (Wed, 30 Jan 2013 17:21:12 GMT) Full text and rfc822 format available.

Notification sent to Juha Jäykkä <juhaj@iki.fi>:
Bug acknowledged by developer. (Wed, 30 Jan 2013 17:21:12 GMT) Full text and rfc822 format available.

Message #102 received at 582953-done@bugs.debian.org (full text, mbox):

From: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
To: 582953-done@bugs.debian.org
Cc: 582953-submitter@bugs.debian.org
Subject: Re: Bug#582953: kmail deleted all non-local incoming mail settings on upgrade
Date: Wed, 30 Jan 2013 14:18:46 -0300
[Message part 1 (text/plain, inline)]
On Mon 17 Dec 2012 12:52:32 Juha Jäykkä escribió:
> > Juha, I think this bug is never going to be fixed unless someone can give
> > us a clear path to reproducing it.  I think you're the person in a best
> 
> This happened at an upgrade, which does not happen all that often,
> especially now that wheezy is frozen, so it is rather hard to try to
> reproduce it as I do not have a spare machine to run test installs on.
> Sorry.
> 
> OTOH, the version this happened with is already several KDE versions ago,
> so perhaps this can just be closed as soon as kdepim gets upgraded from
> the 4.4- family to 4.8 or whatever it eventually gets upgraded to.

It has so far been unreproducible, and no users have reported the same 
behaviour, so I will close this bug.

Of course, if you can still reproduce it with this version, feel free to 
reopen this bug.

Kinds regards, Lisandro.

-- 
Videogames do not influence kids. I mean, if Pac-Man influenced our
generation, we would all be jumping in dark rooms, chomping magic pills
and listening to electronic repeating music.
  Kristian Wilson, Nintendo Inc. 1989

Lisandro Damián Nicanor Pérez Meyer
http://perezmeyer.com.ar/
http://perezmeyer.blogspot.com/
[signature.asc (application/pgp-signature, inline)]

Message sent on to Juha Jäykkä <juhaj@iki.fi>:
Bug#582953. (Wed, 30 Jan 2013 17:21:14 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 28 Feb 2013 07:26:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 13:28:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.